//
//	RotationSlider.m -- written by Don Yacktman
//
//	Copyright 1993 by Don Yacktman.  All rights reserved.
//
//	You may use this code subject to the following conditions:
//	(1) If you use this code in any applications or packages which
//		will be sold for gain (i.e. commercial, shareware, etc.) you
//		must first have a signed written agreement from the author.
//	(2) You may freely use this object in personal projects which
//		are freely redistributable at not cost to the recipient.
//		(A nominal distribution fee, like media and postage cost,
//		is OK, though.)  You must include the source to this object
//		and any of your modifications in the distribution, however.
//	(3) If you make any modifications, send them to the author.  If
//		any of them are useful, they will be included in any future
//		releases if you like.  You must send the changes, though!
//

#import "RotationSlider.h"
#import "RotationSliderCell.h"

@implementation RotationSlider

static id rotationSliderCellClass;

+ initialize
{
	if (self == [RotationSlider class]) {
		rotationSliderCellClass = [RotationSliderCell class]; // default class
	}
	return self;
}

+ setCellClass:classId
{
	rotationSliderCellClass = classId;
	return self;
}

- initFrame:(NXRect *)frameRect
{
	id oldCell;
	
	[super initFrame:frameRect];
	oldCell = [self setCell:[[rotationSliderCellClass alloc] init]];
	[oldCell free];
	return self;
}

- getMinSize:(NXSize *)minSize maxSize:(NXSize *)maxSize from:(int)where
{
	minSize->width = 111.0;
	maxSize->width = 111.0;
	minSize->height = 112.0;
	maxSize->height = 112.0;
	return self;
}


@end
