//
//	RotationSliderCell.h -- written by Don Yacktman
//
//	Copyright 1993 by Don Yacktman.  All rights reserved.
//
//	You may use this code subject to the following conditions:
//	(1) If you use this code in any applications or packages which
//		will be sold for gain (i.e. commercial, shareware, etc.) you
//		must first have a signed written agreement from the author.
//	(2) You may freely use this object in personal projects which
//		are freely redistributable at not cost to the recipient.
//		(A nominal distribution fee, like media and postage cost,
//		is OK, though.)  You must include the source to this object
//		and any of your modifications in the distribution, however.
//	(3) If you make any modifications, send them to the author.  If
//		any of them are useful, they will be included in any future
//		releases if you like.  You must send the changes, though!
//

#import <appkit/appkit.h>

@interface RotationSliderCell:SliderCell
{
	BOOL imFlipped;
}

- init;
- awake;
- buildImages;
- calcCellSize:(NXSize *)theSize inRect:(const NXRect *)aRect;
- (BOOL)startTrackingAt:(const NXPoint *)startPoint inView:controlView;
- (BOOL)continueTracking:(const NXPoint *)lastPoint
		at:(const NXPoint *)currentPoint inView:controlView;
- drawBarInside:(const NXRect *)cellFrame flipped:(BOOL)flipped;
- drawKnob:(const NXRect *)knobRect;
- drawSelf:(const NXRect *)cellFrame inView:controlView;
- getKnobRect:(NXRect *)knobRect flipped:(BOOL)flipped;

@end
